<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7">
    <include layout="@layout/title_white_bar"
        android:id="@+id/title"/>

    <RelativeLayout
        android:id="@+id/rx_address"
        android:layout_below="@+id/title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_62"
        android:background="@drawable/shape_round_white"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_14"
        >
        <TextView
            android:id="@+id/tv_address_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="收货地址"
            android:textColor="@color/col_313"
            android:textStyle="bold"
            android:textSize="@dimen/sp_15"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/dp_16"
            />

        <TextView
            android:id="@+id/tv_choose_address"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:hint="请选择收货地址"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="@dimen/dp_16"
            android:drawableRight="@mipmap/icon_arrow_right"
            android:drawablePadding="@dimen/dp_5"
            android:gravity="right"
            android:maxLines="1"
            android:ellipsize="end"
            android:textColorHint="@color/col_6B6"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_15"
            android:layout_toRightOf="@+id/tv_address_desc"/>

    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/rx_goods"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_135"
        android:layout_below="@+id/rx_address"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_14"
        android:background="@drawable/shape_round_white"
        >
        
        <com.ruffian.library.widget.RImageView
            android:id="@+id/img_goods"
            android:layout_width="@dimen/dp_96"
            android:layout_height="@dimen/dp_96"
            app:is_circle="false"
            app:corner_radius="5dp"
            android:scaleType="fitXY"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/dp_16"/>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_96"
            android:layout_toRightOf="@+id/img_goods"
            android:layout_marginLeft="@dimen/dp_14"
            android:layout_marginRight="@dimen/dp_12"
            android:layout_centerVertical="true">

            <TextView
                android:id="@+id/tv_goods_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_15"
                android:textColor="@color/col_313"
                tools:text="健康智能手表血糖血脂尿酸风险评估长时间续健康智能手表血糖血脂尿酸风险评估长时间续航航"
                android:maxLines="2"
                android:ellipsize="end"/>

            <TextView
                android:id="@+id/tv_spec"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_15"
                android:textColor="@color/col_c7c"
                android:layout_below="@+id/tv_goods_name"
                android:layout_above="@+id/tv_price"
                android:gravity="center"
                tools:text="白色 "
                />

            <TextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_13"
                android:layout_alignParentBottom="true"
                tools:text="商品原价：￥2860.00"
              />

            <TextView
                android:id="@+id/tv_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:textColor="@color/col_c7c"
                android:textSize="@dimen/sp_13"
                tools:text="数量：1"
                android:gravity="right"
                android:layout_toRightOf="@+id/tv_price"
                android:layout_alignParentBottom="true"/>

        </RelativeLayout>

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_below="@+id/rx_goods"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_14"
        android:paddingTop="@dimen/dp_22"
        android:paddingLeft="@dimen/dp_15"
        android:paddingRight="@dimen/dp_16"
        android:background="@drawable/shape_round_white">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableStart="@drawable/shape_head_tip_new"
            android:drawablePadding="@dimen/dp_10"
            android:text="价格明细"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"
           />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_26">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="平台优惠"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tv_platform_discounts"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:textSize="@dimen/sp_15"
                android:textColor="@color/col_313"
                tools:text="￥100"/>

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_26"
            android:layout_marginBottom="@dimen/dp_25">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="优惠券"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_15"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tv_discounts"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:textSize="@dimen/sp_15"
                android:textColor="@color/col_313"
                android:drawableRight="@mipmap/icon_arrow_right"
                android:drawablePadding="@dimen/dp_5"
                android:text="暂无优惠券"/>

        </RelativeLayout>

    </LinearLayout>
    
    
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_60"
        android:background="@color/white"
        android:layout_alignParentBottom="true">

        <TextView
            android:id="@+id/tv_price_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="订单总额："
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/dp_16"
            android:textSize="@dimen/sp_14"
            android:textColor="@color/col_C7C"/>

        <TextView
            android:id="@+id/tv_total_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_18"
            android:textColor="@color/col_2621"
            android:textStyle="bold"
            android:layout_toRightOf="@+id/tv_price_desc"
            android:layout_centerVertical="true"
            tools:text="￥2760.00"
            />
        
        <TextView
            android:id="@+id/tv_pay"
            android:layout_width="@dimen/dp_110"
            android:layout_height="@dimen/dp_38"
            android:background="@drawable/shape_r25_02c"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="@dimen/dp_16"
            android:text="立即支付"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"
            android:gravity="center"/>

    </RelativeLayout>

</RelativeLayout>